Name:		openvista-webdav-config
Version:	0.8
Release:	1
Summary:	WebDAV configuration for OpenVista
License:	AGPL
Vendor:		Medsphere Systems Corporation
URL:		https://medsphere.org/community/project/gtm
Group:		Applications/System
Packager:	Jonathan Tai <jon.tai@medsphere.com>

Requires:	httpd, mod_ssl

Source:		webdav.conf
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-root

%description
OpenVista is a cost-effective, open, trusted and complete EHR which enhances
patient safety, increases clinical and operational efficiency and provides an
opportunity to improve quality of care delivery.

This package provides a configuration file for the Apache web server to enable
WebDAV.  WebDAV is used by OpenVista's document imaging feature.

%prep

%build

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_sysconfdir}/httpd/conf.d
install %{SOURCE0} %{buildroot}%{_sysconfdir}/httpd/conf.d/

install -d %{buildroot}%{_sysconfdir}/httpd/conf
touch %{buildroot}%{_sysconfdir}/httpd/conf/webdav.htpasswd

install -d %{buildroot}/var/www/html/webdav

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_sysconfdir}/httpd/conf.d/webdav.conf
%{_sysconfdir}/httpd/conf/webdav.htpasswd
%dir /var/www/html/webdav

%post
/sbin/service httpd reload > /dev/null 2>&1

%postun
if [ $1 = 0 ]; then
    /sbin/service httpd reload > /dev/null 2>&1
fi

